#!/bin/bash

# install npm
npm install -g npm@latest yo grunt-cli generator-reveal bower
npm install

# build the master version into stable
git fetch --tags
latestTag=$(git describe --tags `git rev-list --tags --max-count=1`)
git checkout $latestTag
grunt dist
mkdir stable
mv public/* stable/.

# build the develop version into latest
git checkout -f develop
git fetch origin develop
git reset --hard origin/develop
grunt dist
mkdir latest
mv public/* latest/.

# deploy the stable and latest directories
mv stable public/.
mv latest public/.

# auto redirect file
cp .ci/.autoRedirect public/index.html
