## The 5 essential commands

<br>
**Yes**, you only need 5 commands!

<br>
`pull, status, add, commit, push`

<br>
or in other words (remember these!):
```bash
$ git pull <remote> <branch>
$ git status
$ git add myFile.txt # example
$ git commit -m "myMessage" # example
$ git push <remote> <branch>
```


## Pull the latest version of an existing branch

Pull the latest revision on branch `add-2-numbers`:
```bash
$ git pull origin add-2-numbers
# Already up to date
```

<div class="fragment">
<br>
Verify its `status` with:
```bash
$ git status
```


## Modify a file

Modify and rename `addTwoNumbers.m` in the folder `src/firstCommit` as `addTwoNumbers_myName`:

```bash
$ cd src/firstCommit
$ git mv addTwoNumbers_myName.m addTwoNumbers_laurent.m # replace myName
```

<br>
Open the file using the `Visual Studio Code` editor (or any other editor)
and correct the line
```Matlab
c = a - b;
```


## Add your file to the stage

First, check the repository status
```bash
$ git status
# uncommitted changes (displayed in red)
```

<div class="fragment">
<br>
**ADVANCED**: see your changes in the terminal
```bash
$ git diff
```
exit with `q`

<div class="fragment">
<br>
Now, add the file (bring it on stage)
```bash
$ git add addTwoNumbers_laurent.m # replace myName
$ git status
# returns the same as before, generally in green (means staged)
```



## Add a commit message

```bash
$ git commit -m "Correcting formula for adding 2 numbers"
$ git status
```


## Push your file to your fork

```bash
$ git push origin add-2-numbers
```

<div class="fragment">
<br>
**ADVANCED**: see the log of all the commits (and your last one) in the terminal
```bash
$ git log
```
exit by typing `q`


## Do it yourself

**Exercice 1:**

* Edit the test in `test/suite`

<div class="fragment">
<br>
<img src="img/icon-live-demo.png" height="100px">

<div class="fragment">
**Exercice 2:**

* Checkout a new branch named `multiply-2-numbers`
* Rename and modify `src/secondCommit/multiplyTwoNumbers_myName.m`
* Push the file `src/secondCommit/multiplyTwoNumbers_myName.m`
* Don't forget to edit <font color="red">`_myName`</font>